Mailinglist Archive: opensuse-updates (102 mails)

< Previous Next >
openSUSE-SU-2014:0364-1: moderate: file: security fixes
openSUSE Security Update: file: security fixes
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:0364-1
Rating: moderate
References: #864589 #866750
Cross-References: CVE-2014-1943 CVE-2014-2270
Affected Products:
openSUSE 13.1
openSUSE 12.3
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:


file was updated to fix two security issues.

- A possible endless recursion. (CVE-2014-1943)
- A crash in PE file handling (CVE-2014-2270)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-209

- openSUSE 12.3:

zypper in -t patch openSUSE-2014-209

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

file-5.15-4.10.1
file-debuginfo-5.15-4.10.1
file-debugsource-5.15-4.10.1
file-devel-5.15-4.10.1
file-magic-5.15-4.10.1
libmagic1-5.15-4.10.1
libmagic1-debuginfo-5.15-4.10.1
python-magic-5.15-4.10.1

- openSUSE 13.1 (x86_64):

libmagic1-32bit-5.15-4.10.1
libmagic1-debuginfo-32bit-5.15-4.10.1

- openSUSE 12.3 (i586 x86_64):

file-5.11-12.6.1
file-debuginfo-5.11-12.6.1
file-debugsource-5.11-12.6.1
file-devel-5.11-12.6.1
libmagic-data-5.11-12.6.1
libmagic1-5.11-12.6.1
libmagic1-debuginfo-5.11-12.6.1
python-magic-5.11-12.6.1

- openSUSE 12.3 (x86_64):

libmagic1-32bit-5.11-12.6.1
libmagic1-debuginfo-32bit-5.11-12.6.1


References:

http://support.novell.com/security/cve/CVE-2014-1943.html
http://support.novell.com/security/cve/CVE-2014-2270.html
https://bugzilla.novell.com/864589
https://bugzilla.novell.com/866750


< Previous Next >
This Thread
  • No further messages